package com.om.service;

import com.om.entity.dto.*;
import com.baomidou.mybatisplus.extension.service.IService;
import com.om.entity.po.Repair;
import com.om.entity.vo.AppRepairQueryPageVO;
import com.om.entity.vo.RepairQueryPageVO;
import com.om.entity.vo.RepairVO;
import com.om.utils.Result;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author bmmx
 * @since 2024-02-18
 */
public interface IRepairService extends IService<Repair> {

    Result AppCreateReport(APPReportCreateDTO dto);

    Result<AppRepairQueryPageVO> AppGetPageList(APPRepairQueryPageDTO dto);



    Result create(RepairDTO repairDTO);

    Result delete(AppBaseDTO dto);

    Result<RepairVO> getByIds(Integer id);

    Result<RepairQueryPageVO> getPageList(RepairQueryPageDTO dto);


    Result<String> reportPdf(Integer id);

    Result<String> reportH5(Integer id);

    Result updateBase(AppRepairUpdateBaseDTO dto);

    Result updateCompany(AppRepairUpdateBaseDTO dto);

    Result<String> getH5(AppBaseDTO dto);
}
